/* 
Theme Name:		 Corehives Child
Theme URI:		 http://childtheme-generator.com/
Description:	 Corehives Child is a child theme of Corehives, created by ChildTheme-Generator.com
Author:			 Habib Ali Khan
Author URI:		 http://childtheme-generator.com/
Template:		 corehives
Version:		 1.0.0
Text Domain:	 corehives-child
*/

@font-face {
    font-family: 'AltShifterLogo';
    src: url('assets/fonts/AltShifter-LogoFont.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'CinaGeo';
    src: url('assets/fonts/CinaGEO-Light.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'CinaGeoBold';
    src: url('assets/fonts/CinaGEO-SemiBold.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

body, html {
    width: 100%;
    overflow-x: hidden;
}

.alt--shifter h1,
.alt--shifter h2, 
.alt--shifter h3, 
.alt--shifter h4, 
.alt--shifter h5, 
.alt--shifter h6 {
     font-family: 'AltShifterLogo', sans-serif !important;
}

.cina--geo h1,
.cina--geo h2, 
.cina--geo h3, 
.cina--geo h4, 
.cina--geo h5,
.cina--geo h6, 
.cina--geo .elementor-button-text,
.cina--geo p, 
.cina--geo ul .elementor-icon-list-item .elementor-icon-list-text {
    font-family: 'CinaGeo', sans-serif !important;
}

.cina--geo-bold h1,
.cina--geo-bold h2, 
.cina--geo-bold h3, 
.cina--geo-bold h4, 
.cina--geo-bold h5,
.cina--geo-bold h6, 
.cina--geo-bold .elementor-button-text{
    font-family: 'CinaGeoBold', sans-serif !important;
}


.hero--heading .row--1 a {
    background-color: #050a1a;
    font-family: "Poppins", sans-serif;
    color: #fff;
    text-transform: capitalize;
    font-size: 20px;
    font-weight: 400;
    padding: 20px 44px;
    border-radius: 50px;
    margin-bottom: 20px;
    display: block;
}

.hero--heading .row--1 a img {
    width: 17px;
    height: 17px;
    margin-left: 10px;
    margin-bottom: -3px;
}

.hero--heading .row--1, 
.hero--heading .row--2  {
    display: flex;
    justify-content: space-between;
    align-items: end;
}

.hero--heading .row--2 {
    align-items: center;
}

.hero--heading .row--2 {
    font-size: 135px;
}

.hero--heading .row--2 a {
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
    background-color: #07BEB8;
    display: flex;
    align-items: center;
    min-width: 440px;
    border-radius: 50px;
    justify-content: start;
    color: #050a1a;
    font-weight: 600;
    text-transform: capitalize;
    margin-bottom: 15px;
}

.hero--heading .row--2 a span {
    background: #050a1a;
    color: #fff;
    min-height: 80px;
    border-radius: 50px;
    min-width: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 40px;
    position: relative;
    font-size: 18px;
}

.hero--heading .row--2 a span::before {
    content: '';
    width: calc(100% + 15px);
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border: 1px solid #fff;
    border-radius: 50px;
}

.hero--heading .row--4 {
    display: block;
    text-align: end;
}

.elementor-element.hero--section {
    position: relative;
}

.elementor-element.hero--section .e-con-inner {
    overflow: hidden;
}

.elementor-element.hero--section .absolute--img-hero {
    position: absolute;
    bottom: -16%;
    right: 0;
    width: 290px;
    z-index: 1;
}

.custom--btn-black .elementor-button-content-wrapper {
    position: relative;
    display: inline-flex;
    justify-content: flex-end;
}

.custom--btn-black .elementor-button-content-wrapper::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: -15px;
    width: 70%;
    height: 8px;
    background-color: #07BEB8;
    z-index: -1;
}

.custom--btn-black .elementor-button-content-wrapper .elementor-button-icon {
    width: 17px;
}

.elementor-element.web--design-heading {
    max-width: 1090px !important;
}

.elementor-element.web--design-heading span {
    position: relative;
    z-index: 1;
}

.elementor-element.web--design-heading span::before {
    content: "";
    position: absolute;
    bottom: 25px;
    right: -20px;
    width: 65%;
    height: 14px;
    background-color: #07BEB8;
    z-index: -1;
}

.elementor-element.width--600 {
    max-width: 600px !important;
}


.web--design-box .elementor-widget-button .elementor-button .elementor-button-content-wrapper {
    position: relative;
}

.web--design-box .elementor-widget-button .elementor-button .elementor-button-content-wrapper::before  {
    content: "";
    position: absolute;
    bottom: -10px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #3c3323;
}

.start--a-project-heading {
    display: inline-flex;
    position: relative;
}

.inner--container {
    display: inline !important;
}

.start--a-project-heading::before {
    content: "";
    position: absolute;
    bottom: -20px;
    left: 0;
    width: 100%;
    height: 3px;
    background-color: #07BEB8;
}

.web--design-section .web--design-img {
    max-width: 480px !important;
    position: absolute;
    right: 0px;
    top: 470px;
}

.case--studies-section .absolute--col {
    position: absolute;
    right: 0;
    min-height: 611px;
    top: 50%;
    transform: translateY(-50%);
}

.case--studies-section .absolute--col .elementor-button-content-wrapper::before {
    bottom: -10px;
    height: 4px;
}

.case--studies-section .absolute--col .elementor-widget-image.first--img {
    position: absolute;
    bottom: 20px;
    right: 5%;
    width: 195px;
}

.case--studies-section .absolute--col .elementor-widget-image.second--img {
    position: absolute;
    bottom: -130px;
    left: -100px;
    z-index: -1;
    min-width: 760px;
}

.package--wrapper .package--price .price--wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.package--wrapper .package--price .price--wrap span {
    text-decoration: line-through;
    font-family: 'CinaGeo', sans-serif;
}

.package--wrapper .package--price .duration {
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 400;
    margin-top: 10px;
    display: block;
}

.package--wrapper .elementor-widget-icon-list .elementor-icon-list-items li:last-child .elementor-icon-list-text {
    color: #21396a;
}

.package--wrapper .elementor-widget-button .elementor-button  .elementor-button-content-wrapper .elementor-button-icon {
    width: 14px;
}

.package--wrapper.gold .elementor-widget-icon-list .elementor-icon-list-items li:last-child .elementor-icon-list-text {
    color: #000;
}

.pricing--tabs .e-n-tabs .e-n-tabs-heading {
    border: 1px solid #242330;
    border-radius: 50px;
    justify-content: space-between;
}

.pricing--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title {
    min-height: 60px;
    font-family: "CinaGeo", Sans-serif;
    padding: 0px 30px;
}

.pricing--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title[aria-selected="true"] {
    border: 1px solid #07BEB8;
    border-radius: 50px;
}

.testimonial--box .icon--wrap i {
    font-weight: 900;
    font-family: 'FontAwesome';
    font-style: normal;
    color: #f7df31;
}

.testimonial--box .testimonial--details .testimonial--header h3 {
    margin-bottom: 0px;
    font-family: 'CinaGeoBold', sans-serif;
    font-size: 20px;
    color: #000;
}

.testimonial--box .testimonial--details .testimonial--header p {
    margin: 0;
    color: #000;
    font-family: 'CinaGeo', sams;
    font-weight: 600;
    font-size
}

.testimonial--box .testimonial--details .testimonial--content p {
    font-family: 'CinaGeo', sams;
    font-size: 16px;
    margin: 0;
    color: #000;
}

.testimonial--box .testimonial--footer a {
    color: #85a2ff;
    font-family: 'CinaGeo', sans-serif;
    font-size: 16px;
}

.testimonial--box .testimonial--footer,
.testimonial--box .testimonial--details .testimonial--content {
    margin-top: 30px;
}

.testimonial--box {
    border: 1px solid #f6f6f6;
    border-radius: 20px;
    padding: 20px;
}

.testimonial--carousel .owl-item.active.center .testimonial--box {
    box-shadow: 0px -5px 20px 0px #f7f7f7;
}

.testimonial--carousel .owl-stage-outer .owl-stage {
    padding-top: 50px;
}

.gradient--heading h1, 
.gradient--heading h2, 
.gradient--heading h3, 
.gradient--heading h4, 
.gradient--heading h5, 
.gradient--heading h6 {
    background: -webkit-linear-gradient(90deg, #fff, #b1b1b1);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title {
    display: block;
    cursor: pointer;
    
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title[aria-selected="true"] span {
    font-size: 40px;
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title .e-n-tab-title-text {
    font-family: "CinaGeo", sans-serif;
    font-weight: 600;
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title .e-n-tab-title-text img {
    width: 18px;
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title .e-n-tab-title-text span {
    width: 45px;
    height: 45px;
    display: none;
    align-items: center;
    justify-content: center;
    border: 1px solid #fff;
    border-radius: 50px;
    margin-left: 20px;
}

.vertical--tabs .e-n-tabs .e-n-tabs-heading .e-n-tab-title[aria-selected="true"] .e-n-tab-title-text span {
    display: flex;
}

.what--we-do {
    position: relative;
} 

.what--we-do.box--1::before {
	content: '';
    position: absolute;
    bottom: 0;
    left: -120px;
    height: 70%;
    width: 100%;
    background: url('/wp-content/uploads/2026/01/box-1.webp') center center no-repeat;

}

.what--we-do.box--2::before {
	content: '';
    position: absolute;
    bottom: -100px;
    top: auto;
    left: auto;
    right: -40px;
    height: 100%;
    width: 100%;
    background: url('/wp-content/uploads/2026/01/box-2.webp') center center no-repeat;
    background-size: contain;

}

.what--we-do.box--3::before {
	content: '';
    position: absolute;
    bottom: -65px;
    top: auto;
    left: -50px;
    right: auto;
    height: 100%;
    width: 100%;
    background: url('/wp-content/uploads/2026/01/box-3.webp') center center no-repeat;
    background-size: contain;

}



.what--we-do .elementor-widget-text-editor p {
    margin: 0px;
}

.what--we-do .elementor-widget-text-editor {
    position: absolute;
    top: -50px;
    right: 40px;
}
 
.custom--accordion .e-n-accordion .e-n-accordion-item .e-n-accordion-item-title .e-n-accordion-item-title-header {
	font-family: "CinaGeo", sans-serif;
    font-size: 18px;
    color: #000;
    font-weight: 600;
}

.custom--accordion .e-n-accordion .e-n-accordion-item .e-n-accordion-item-title {
	justify-content: space-between !important;
}

.custom--accordion .e-n-accordion .e-n-accordion-item .e-n-accordion-item-title[aria-expanded="true"] .e-n-accordion-item-title-icon {
	background: #07BEB8;
    border-radius: 50px;
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
}

.wpcf7 .wpcf7-form  .form--group  {
	display: flex;
    gap: 20px;
}

.wpcf7 .wpcf7-form .form--group input {
    width: 100%;
    display: block;
    padding-bottom: 10px;
}

.wpcf7 .wpcf7-form input, .wpcf7 .wpcf7-form textarea {
	border: none;
    border-bottom: 1px solid #bebebe;
    border-radius: 0px;
    font-family: 'Inter', sans-serif;
    font-size: 12px;
    color: #000;
    outline: none;
}

.wpcf7 .wpcf7-form textarea {
	height: 110px;
    resize: none;
}

.wpcf7 .wpcf7-form input::placeholder, .wpcf7 .wpcf7-form textarea::placeholder {
	font-family: 'Inter', sans-serif;
    font-size: 12px;
    color: #666666;
}

.wpcf7 .wpcf7-form input[type="submit"] {
	background: #07BEB8;
    border: none;
    outline: none;
    font-family: 'Inter', sans-serif;
    color: #000;
    min-width: 165px;
    min-height: 38px;
    border-radius: 50px;
}

.wpcf7 p:last-child {
	margin-bottom: 0px;
}

.elementor-element marquee {
    font-family: "Inter", sans-serif;
    font-size: 36px;
    text-transform: uppercase;
    color: #fff;
    font-weight: 500;
    padding: 10px 0px;
}

.elementor-element.marquee--1 {
	transform: rotate(8deg);
	margin-left: -4%;
}

.elementor-element.marquee--2  {
	margin-top: -60px;
}

.projects-list {
	display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.projects-list .project-item {
	width: calc(33.33% - 14px);
}

.projects-list .project-item img {
	border-radius: 10px;
}

.technology--box {
	display: flex;
    align-items: center;
    gap: 10px;
    background: #181229;
    padding: 10px;
    border-radius: 50px;
}

.technology--box h4 {
	margin: 0;
    font-family: 'CinaGeo', sans-serif;
    font-size: 18px;
    color: #fff;
    font-weight: 400;
}

.technology--box img {
	max-width: 40px !important;
}

.client--box img {
    width: 120px !important;
}

.main--header {
    display: flex;
    align-items: center;
    margin-bottom: -165px;
    z-index: 9;
    position: relative;
    padding-top: 15px;
}

.main--header .site-branding a {
    max-width: 170px;
}


.main--header .nav-menu {
    gap: 5px;
}


.main--header .nav-menu a {
    font-family: "CinaGeo", sans-serif;
    font-size: 15px;
    text-transform: capitalize;
    font-weight: 400;
    color: #fff;
}

.main--header .header--container {
    width: 100%;
    max-width: 1150px;
    margin: auto;
    padding: 0px 20px;
    display: flex;
    gap: 20px;
    align-items: center;
}

.header--inner .top--bar .acc--details {
	display: flex;
    gap: 20px;
}

.header--inner .top--bar .acc--details p {
	font-family: 'Poppins', sans-serif;
    font-size: 12px;
    margin: 0px;
    color: #fff;
}

.header--inner .top--bar {
	display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 15px;
}

.header--inner .top--bar .email--details a {
	font-family: 'Poppins', sans-serif;
    font-size: 12px;
    margin: 0px;
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 10px;
}

.header--inner .top--bar .email--details a img {
	margin-top: -5px;
}

.header--container .site-branding {
	width: 20%;
}

.header--container .header--inner {
	width: 80%;
}

.header--container .bottom--bar {
	border-top: 1px solid #252525;
    display: flex;
    justify-content: space-between;
    align-items: end;
}

.header--container .bottom--bar .support--wrap a {
	display: flex;
    gap: 10px;
    align-items: end;
    text-decoration: none;
}

.header--container .bottom--bar .support--wrap .img--wrap {
	background: #07BEB8;
    display: flex;
    align-items: end;
    padding: 0px 0px 11px;
    width: 32px;
    justify-content: center;
    height: 60px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.header--container .bottom--bar .support--wrap .text--wrap span {
	font-size: 14px;
    font-family: 'Poppins', sans-serif;
    color: #fff;
    text-decoration: none;
    border: none;
    outline: none;
    text-transform: capitalize;
    display: block;
}

.header--container .bottom--bar .support--wrap .text--wrap span:last-child {
    color: #07BEB8;
    margin-bottom: 5px;
}

.main--header .nav-menu .current-menu-item {
	background: #0b0511;
}

.main--header .nav-menu li {
    padding: 10px 25px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
}

.main--header .nav-menu li.current-menu-item {
	background: #0b0511;
	box-shadow: 5px 10px 20px 10px #292929b5;
}

.main--header .nav-menu li.current-menu-item span {
	background: #fc2200;
    border-radius: 50px;
    display: inline-flex;
    width: 7px;
    height: 7px;
    margin-right: 6px;
    margin-bottom: -1px;
	margin-left: -5px;
}

.main--header .nav-menu li.current-menu-item::before {
    content: '';
    position: absolute;
    top: -18px;
    left: 0;
    width: 100%;
    height: 1px;
    background: #07BEB8;
}

footer {
	background: #0b0a19;
    padding-top: 100px;
}

footer .footer--container {
	max-width: 1170px;
    padding: 0px 15px;
    width: 100%;
    margin: auto;
}

footer .footer--container .footer--top {
	display: flex;
}

footer .footer--container .footer--top .footer--text {
	font-family: 'CinaGeo', sans-serif;
    color: #fff;
    font-size: 14px;
    margin: 10px 0px 0px;
    font-weight: 600;
}

footer .footer--container .footer--top .footer--col h3 {
	font-family: 'CinaGeo', sans-serif;
    color: #fff;
    font-size: 16px;
    margin: 0px 0px 30px;
    text-transform: capitalize;
}

footer .footer--container .footer--top .footer--col ul {
	margin: 0px;
    padding: 0px;
    list-style-type: none; 
}

footer .footer--container .footer--top .footer--col ul li a {
	color: #54545a;
    text-decoration: none;
    font-family: 'CinaGeo', sans-serif;
    font-size: 16px;
    
}

footer .footer--container .footer--top .footer--col ul li {
	margin-bottom: 15px;
}

footer .footer--container .footer--top .footer--col ul li.current-menu-item a {
	color: #fff;
    text-decoration: underline;
}

footer .footer--container .footer--top .footer--col ul li:last-child {
	margin-bottom: 0px;
}

footer .footer--container .footer--top .footer--col ul.footer-latest-news li:last-child {
	margin-top: 30px;
}

footer .footer--container .footer--top .footer--col .footer-latest-news li a {
	color: #fff;
    text-decoration: none;
    font-family: 'CinaGeo', sans-serif;
    font-size: 16px;
}

footer .footer--container .footer--top .footer--col .footer-latest-news li .post-meta {
	color: #3c3b47;
    font-family: 'CinaGeo', sans-serif;
    font-size: 12px;
    display: block;
}

.subscribe--form {
	display: flex;
    align-items: center;
}

.subscribe--form input {
	min-height: 45px;
    border-radius: 50px !important;
    background: transparent;
    border: 1px solid #1d1c2a !important;;
    padding: 0px 15px;
    color: #fff !important;;
    font-family: 'CinaGeo', sans-serif;
}

.subscribe--form input::placeholder {
	color: #1d1c2a;
}

.subscribe--form input[type="submit"] {
	min-width: 85px !important;
    width: 100%;
    margin-left: -85px;
    font-family: 'Inter', sans-serif !important;
    color: #353441 !important;
    font-size: 13px;
    font-weight: 700;
    cursor: pointer;
    margin-top: 20px;
    display: block;
    z-index: 1;
    position: relative;
}

.subscribe--form .submit--btn p {
	margin: 0px;
}

footer .footer--col {
	width: 25%;
}

footer .footer--col.logo {
	padding-right: 25px;
}

footer .footer--col.links {
	padding-left: 60px;
}

footer .footer-social {
	display: flex;
    justify-content: space-between;
    border-top: 1px solid #151431;
    border-bottom: 1px solid #151431;
    flex-wrap: wrap;
    margin-top: 50px;
}

footer .social--link a {
	font-family: 'CinaGeo', sans-serif;
    font-size: 24px;
    color: #fff;
    font-weight: 600;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 20px;
}

footer .social--link {
	width: calc(33.33% - 20px);
    display: flex;
    justify-content: center;
    padding: 30px 0px;
    border-right: 1px solid #151431;
}

footer .social--link:last-child {
	border-right: none;
}

footer .copyright--section {
	display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-top: 20px;
    padding-bottom: 20px;
}

footer .copyright--section p {
	margin: 0px;
    font-family: "Inter", sans-serif;
    font-size: 12px;
    color: #37426c;
}

body {
	margin-bottom: 0px !important;
}


.single-projects, .post-type-archive-projects {
    background: #0B0A19 !important;
}

.single-projects .site-main, .single-project {
    padding-top: 250px;
}

.post-type-archive-projects .projects-archive{
    padding-top: 200px;
    padding-bottom: 100px;
}

.main--container {
    max-width: 1150px;
    margin: auto;
    padding: 0px 15px;
}

.single-project .main--container .project--title {
    font-family: 'CinaGeo', sans-serif;
    font-size: 44px;
    color: #fff;
    font-weight: 600;
    width: calc(50% - 30px);
}

.post-type-archive-projects .projects-archive .archive--title {
    font-family: 'CinaGeo', sans-serif;
    font-size: 74px;
    color: #fff;
    font-weight: 600;
}

.post-type-archive-projects .projects-archive .projects-grid {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
}

.post-type-archive-projects .projects-archive .projects-grid .project-item {
    width: calc(33.33% - 20px);
}

.post-type-archive-projects .projects-archive .projects-grid .project-item .project-title {
    margin: 10px 0px 0px;
}

.post-type-archive-projects .projects-archive .projects-grid .project-item .project-title a  {
    color: #fff;
    font-family: 'CinaGeo', sans-serif;
    font-size: 24px;
    text-decoration: none;
}

.post-type-archive-projects .projects-archive .projects-grid .project-item .project-thumbnail {
    width: 100%;
}

.post-type-archive-projects .projects-archive .projects-grid .project-item .project-thumbnail img {
    width: 100%;
    object-fit: contain;
    border-radius: 20px;
}

.single-project .main--container .project-thumbnail {
    width: calc(50% - 30px);
}

.single-project .main--container .project-thumbnail img {
    width: 100%;
    object-fit: contain;
    border-radius: 20px;
}

.single-project .main--container .project--top {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 60px;
}

.single-project .main--container .project-content {
    color: #fff;
    font-family: 'CinaGeo', sans-serif;
    font-size: 18px;
}

.single-project .main--container .project-content p {
    margin: 0px;
}

.single-project .main--container .project-content h1, .single-project .main--container .project-content h2, .single-project .main--container .project-content h3, .single-project .main--container .project-content h4, .single-project .main--container .project-content h5, .single-project .main--container .project-content h6 {
    font-family: 'CinaGeo', sans-serif;
    margin-top: 50px;
}

.single-project .projects--carousel  {
     margin-top: 100px;
     margin-bottom: 100px;
}

.single-project .projects--carousel img {
    border-radius: 20px;
}